﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;

namespace SmartFieldLabels
{
    public class DataItem
    {
        public string PersonFirstName { get; set; }
        public string PersonLastName { get; set; }

        public string CompanyName { get; set; }
        public string CompanyDescription { get; set; }
    }

    public static class DataLoader
    {
        public static ObservableCollection<DataItem> GetData()
        {

            return new ObservableCollection<DataItem>()
            {
                new DataItem() { 
                    PersonFirstName="John",
                    PersonLastName="Smith",
                    CompanyName = "Contoso",
                    CompanyDescription = "Contoso Inc."
                }
            };
        }
    }

}
